<html><head><meta name="color-scheme" content="light dark"></head><body><pre style="word-wrap: break-word; white-space: pre-wrap;">--- /tmp/Queue-compile.javap	2014-07-30 15:33:21.215124392 -0700
+++ /tmp/Queue-package.javap	2014-07-30 15:34:48.743696059 -0700
@@ -1,11 +1,9 @@
 Classfile /space/src/jenkinsci/jenkins/core/target/classes/hudson/model/Queue.class
-  Last modified Jul 30, 2014; size 29876 bytes
-  MD5 checksum b2c0e2fee716e495adf238e15ed5d40c
+  Last modified Jul 30, 2014; size 29979 bytes
+  MD5 checksum f62f3f51883c5ea6d321c570b6340197
   Compiled from "Queue.java"
 public class hudson.model.Queue extends hudson.model.ResourceController implements hudson.model.Saveable
   SourceFile: "Queue.java"
-  RuntimeVisibleAnnotations:
-    0: #622()
   InnerClasses:
        public static final #300= #159 of #283; //LeftItem=class hudson/model/Queue$LeftItem of class hudson/model/Queue
        public static final #301= #67 of #283; //BuildableItem=class hudson/model/Queue$BuildableItem of class hudson/model/Queue
@@ -32,6 +30,10 @@
        public static final #1031= #1030 of #733; //Existing=class hudson/model/queue/ScheduleResult$Existing of class hudson/model/queue/ScheduleResult
        public static abstract #1045= #1044 of #785; //HttpResponseException=class org/kohsuke/stapler/HttpResponses$HttpResponseException of class org/kohsuke/stapler/HttpResponses
        public static #1113= #1112 of #257; //Hash=class hudson/util/ConsistentHash$Hash of class hudson/util/ConsistentHash
+  RuntimeVisibleAnnotations:
+    0: #622()
+  RuntimeInvisibleAnnotations:
+    0: #1144()
   minor version: 0
   major version: 50
   flags: ACC_PUBLIC, ACC_SUPER
@@ -1178,6 +1180,7 @@
   #1141 = Utf8               hudson/model/queue/ScheduleResult$Existing
   #1142 = Utf8               org/kohsuke/stapler/HttpResponses$HttpResponseException
   #1143 = Utf8               hudson/util/ConsistentHash$Hash
+  #1144 = Utf8               Lcom/infradna/tool/bridge_method_injector/BridgeMethodsAdded;
 {
   public static final com.thoughtworks.xstream.XStream XSTREAM;
     flags: ACC_PUBLIC, ACC_STATIC, ACC_FINAL
@@ -1192,42 +1195,42 @@
          5: new           #7                  // class java/util/TreeSet
          8: dup           
          9: invokespecial #8                  // Method java/util/TreeSet."&lt;init&gt;":()V
-        12: putfield      #5                  // Field waitingList:Ljava/util/Set;
+        12: putfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
         15: aload_0       
         16: new           #9                  // class hudson/model/Queue$ItemList
         19: dup           
         20: aload_0       
         21: aconst_null   
         22: invokespecial #10                 // Method hudson/model/Queue$ItemList."&lt;init&gt;":(Lhudson/model/Queue;Lhudson/model/Queue$1;)V
-        25: putfield      #3                  // Field blockedProjects:Lhudson/model/Queue$ItemList;
+        25: putfield      #3                  // Field hudson/model/Queue.blockedProjects:Lhudson/model/Queue$ItemList;
         28: aload_0       
         29: new           #9                  // class hudson/model/Queue$ItemList
         32: dup           
         33: aload_0       
         34: aconst_null   
         35: invokespecial #10                 // Method hudson/model/Queue$ItemList."&lt;init&gt;":(Lhudson/model/Queue;Lhudson/model/Queue$1;)V
-        38: putfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+        38: putfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
         41: aload_0       
         42: new           #9                  // class hudson/model/Queue$ItemList
         45: dup           
         46: aload_0       
         47: aconst_null   
         48: invokespecial #10                 // Method hudson/model/Queue$ItemList."&lt;init&gt;":(Lhudson/model/Queue;Lhudson/model/Queue$1;)V
-        51: putfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+        51: putfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
         54: aload_0       
         55: invokestatic  #12                 // Method com/google/common/cache/CacheBuilder.newBuilder:()Lcom/google/common/cache/CacheBuilder;
         58: ldc2_w        #13                 // long 300l
         61: getstatic     #15                 // Field java/util/concurrent/TimeUnit.SECONDS:Ljava/util/concurrent/TimeUnit;
         64: invokevirtual #16                 // Method com/google/common/cache/CacheBuilder.expireAfterWrite:(JLjava/util/concurrent/TimeUnit;)Lcom/google/common/cache/CacheBuilder;
         67: invokevirtual #17                 // Method com/google/common/cache/CacheBuilder.build:()Lcom/google/common/cache/Cache;
-        70: putfield      #1                  // Field leftItems:Lcom/google/common/cache/Cache;
+        70: putfield      #1                  // Field hudson/model/Queue.leftItems:Lcom/google/common/cache/Cache;
         73: aload_0       
         74: new           #18                 // class hudson/model/Queue$CachedItemList
         77: dup           
         78: aload_0       
         79: aconst_null   
         80: invokespecial #19                 // Method hudson/model/Queue$CachedItemList."&lt;init&gt;":(Lhudson/model/Queue;Lhudson/model/Queue$1;)V
-        83: putfield      #20                 // Field itemsView:Lhudson/model/Queue$CachedItemList;
+        83: putfield      #20                 // Field hudson/model/Queue.itemsView:Lhudson/model/Queue$CachedItemList;
         86: aload_0       
         87: new           #21                 // class jenkins/util/AtmostOneTaskExecutor
         90: dup           
@@ -1236,17 +1239,21 @@
         95: aload_0       
         96: invokespecial #23                 // Method hudson/model/Queue$1."&lt;init&gt;":(Lhudson/model/Queue;)V
         99: invokespecial #24                 // Method jenkins/util/AtmostOneTaskExecutor."&lt;init&gt;":(Ljava/util/concurrent/Callable;)V
-       102: putfield      #25                 // Field maintainerThread:Ljenkins/util/AtmostOneTaskExecutor;
+       102: putfield      #25                 // Field hudson/model/Queue.maintainerThread:Ljenkins/util/AtmostOneTaskExecutor;
        105: aload_0       
        106: aload_1       
        107: invokevirtual #26                 // Method hudson/model/LoadBalancer.sanitize:()Lhudson/model/LoadBalancer;
-       110: putfield      #27                 // Field loadBalancer:Lhudson/model/LoadBalancer;
+       110: putfield      #27                 // Field hudson/model/Queue.loadBalancer:Lhudson/model/LoadBalancer;
        113: new           #28                 // class hudson/model/Queue$MaintainTask
        116: dup           
        117: aload_0       
        118: invokespecial #29                 // Method hudson/model/Queue$MaintainTask."&lt;init&gt;":(Lhudson/model/Queue;)V
        121: invokestatic  #30                 // Method hudson/model/Queue$MaintainTask.access$200:(Lhudson/model/Queue$MaintainTask;)V
        124: return        
+      LocalVariableTable:
+        Start  Length  Slot  Name   Signature
+               0     125     0  this   Lhudson/model/Queue;
+               0     125     1 loadBalancer   Lhudson/model/LoadBalancer;
       LineNumberTable:
         line 313: 0
         line 161: 4
@@ -1259,23 +1266,19 @@
         line 314: 105
         line 317: 113
         line 318: 124
-      LocalVariableTable:
-        Start  Length  Slot  Name   Signature
-               0     125     0  this   Lhudson/model/Queue;
-               0     125     1 loadBalancer   Lhudson/model/LoadBalancer;
 
   public hudson.model.LoadBalancer getLoadBalancer();
     flags: ACC_PUBLIC
     Code:
       stack=1, locals=1, args_size=1
          0: aload_0       
-         1: getfield      #27                 // Field loadBalancer:Lhudson/model/LoadBalancer;
+         1: getfield      #27                 // Field hudson/model/Queue.loadBalancer:Lhudson/model/LoadBalancer;
          4: areturn       
-      LineNumberTable:
-        line 321: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0       5     0  this   Lhudson/model/Queue;
+      LineNumberTable:
+        line 321: 0
 
   public void setLoadBalancer(hudson.model.LoadBalancer);
     flags: ACC_PUBLIC
@@ -1290,16 +1293,16 @@
         12: aload_0       
         13: aload_1       
         14: invokevirtual #26                 // Method hudson/model/LoadBalancer.sanitize:()Lhudson/model/LoadBalancer;
-        17: putfield      #27                 // Field loadBalancer:Lhudson/model/LoadBalancer;
+        17: putfield      #27                 // Field hudson/model/Queue.loadBalancer:Lhudson/model/LoadBalancer;
         20: return        
-      LineNumberTable:
-        line 325: 0
-        line 326: 12
-        line 327: 20
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      21     0  this   Lhudson/model/Queue;
                0      21     1 loadBalancer   Lhudson/model/LoadBalancer;
+      LineNumberTable:
+        line 325: 0
+        line 326: 12
+        line 327: 20
       StackMapTable: number_of_entries = 1
            frame_type = 12 /* same */
 
@@ -1309,13 +1312,13 @@
     Code:
       stack=1, locals=1, args_size=1
          0: aload_0       
-         1: getfield      #33                 // Field sorter:Lhudson/model/queue/QueueSorter;
+         1: getfield      #33                 // Field hudson/model/Queue.sorter:Lhudson/model/queue/QueueSorter;
          4: areturn       
-      LineNumberTable:
-        line 330: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0       5     0  this   Lhudson/model/Queue;
+      LineNumberTable:
+        line 330: 0
 
   public void setSorter(hudson.model.queue.QueueSorter);
     flags: ACC_PUBLIC
@@ -1323,26 +1326,26 @@
       stack=2, locals=2, args_size=2
          0: aload_0       
          1: aload_1       
-         2: putfield      #33                 // Field sorter:Lhudson/model/queue/QueueSorter;
+         2: putfield      #33                 // Field hudson/model/Queue.sorter:Lhudson/model/queue/QueueSorter;
          5: return        
-      LineNumberTable:
-        line 334: 0
-        line 335: 5
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0       6     0  this   Lhudson/model/Queue;
                0       6     1 sorter   Lhudson/model/queue/QueueSorter;
+      LineNumberTable:
+        line 334: 0
+        line 335: 5
 
   public synchronized void load();
     flags: ACC_PUBLIC, ACC_SYNCHRONIZED
     Code:
       stack=7, locals=7, args_size=1
          0: aload_0       
-         1: invokespecial #34                 // Method getQueueFile:()Ljava/io/File;
+         1: invokespecial #34                 // Method hudson/model/Queue.getQueueFile:()Ljava/io/File;
          4: astore_1      
          5: aload_1       
          6: invokevirtual #35                 // Method java/io/File.exists:()Z
-         9: ifeq          97
+         9: ifeq          96
         12: new           #36                 // class java/io/BufferedReader
         15: dup           
         16: new           #37                 // class java/io/InputStreamReader
